Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.security
Class FileRouteCredentialsHandler

    java.lang.Object
      hr.tis.mgw.client.security.MultipleRouteCredentialsHandler
          hr.tis.mgw.client.security.FileRouteCredentialsHandler

All Implemented Interfaces:
  RouteCredentialsHandler

Deprecated. Deprecated for mGw version 2.

public class FileRouteCredentialsHandler
extends MultipleRouteCredentialsHandler

Credentials and authentication are now used directly in xManager2. Specify username and password parameters for various methods to achive authentication.

Constructor Summary
`FileRouteCredentialsHandler()` Deprecated.
`FileRouteCredentialsHandler(java.lang.String filePath, java.lang.String credentialsPattern)` Deprecated.

Method Summary
`void` | `load()` Deprecated. Reads credentials list from the file found in file system using filePath and loads a map which contains `RouteCredentials` object.
`void` | `setFilePath(java.lang.String filePath)` Deprecated. A filePath of the file on file system which contains credentials.

Methods inherited from class hr.tis.mgw.client.security.MultipleRouteCredentialsHandler
`getCredentials, setCredentialsPattern, setCredentialsProperties`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileRouteCredentialsHandler

    public FileRouteCredentialsHandler()

  Deprecated.

### FileRouteCredentialsHandler

    public FileRouteCredentialsHandler(java.lang.String filePath,
                                       java.lang.String credentialsPattern)
                                throws RouteCredentialsLoadingFailureException

  Deprecated.

Method Detail

### setFilePath

    public void setFilePath(java.lang.String filePath)

  Deprecated.
  A filePath of the file on file system which contains credentials.

  Parameters:
    `filePath` - String

### load

    public void load()
              throws RouteCredentialsLoadingFailureException

  Deprecated.
  Reads credentials list from the file found in file system using filePath and loads a map which contains `RouteCredentials` object.

  Overrides:
    `load` in class `MultipleRouteCredentialsHandler`
  Throws:
    `ParseException`
    `RouteCredentialsLoadingFailureException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.